#!/usr/bin/env python3

import xml.etree.ElementTree as ET
import csv

def convert_xml_to_csv():
    root = ET.parse('SPR_STI.XML').getroot()
    fieldnames = ['id', 'c_reg', 'c_raj', 'name', 'name_raj', 'c_sti']
    with open('account.sprsti.csv', mode='w') as csv_file:
        writer = csv.DictWriter(csv_file, fieldnames=fieldnames)
        writer.writeheader()
        for i, sti in enumerate(root.iter('ROW_STI'), 1):
            c_sti = sti.find('C_STI').text
            writer.writerow({
                'id': 'data_ti_sprsti_{}'.format(i),
                'c_reg': c_sti[:1] if len(c_sti) < 4 else c_sti[:2],
                'c_raj': sti.find('C_RAJ').text,
                'name': sti.find('NAME_STI').text,
                'name_raj': sti.find('NAME_RAJ').text,
                'c_sti': c_sti})

if __name__ == '__main__':
    convert_xml_to_csv()
