# -*- coding: utf-8 -*-

from odoo import fields, models


class CompanyUA(models.Model):
    _inherit = 'res.company'

    company_registry = fields.Char(related='partner_id.company_registry')
    license = fields.Char(related='partner_id.license')
    company_full_name = fields.Char(related='partner_id.company_full_name')
    legal_status = fields.Selection(
        [('company', "Юридична особа"), ('fop', "Фізична особа")],
        string="Юридичний статус",
        default='company')
    comp_sti = fields.Many2one(
        'account.sprsti',
        string="Податковий орган",
        ondelete='set null',
        help="Виберіть ДПІ в якій взято на облік "
        "ваше підприємство",
        index=True)
    responsible_employee_id = fields.Many2one(
        'hr.employee',
        string='Responsible person')
